|  | Home · All Classes · Modules

# QGraphicsSceneContextMenuEvent Class Reference
[QtGui module]

The QGraphicsSceneContextMenuEvent class provides context menu events in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Types

- enum Reason { Mouse, Keyboard, Other }

### Methods

- Qt.KeyboardModifiers modifiers (self)
- QPointF pos (self)
- Reason reason (self)
- QPointF scenePos (self)
- QPoint screenPos (self)

## Detailed Description

The QGraphicsSceneContextMenuEvent class provides context menu events in the graphics view framework.

A QContextMenuEvent received by a QGraphicsView is translated into a QGraphicsSceneContextMenuEvent. The QContextMenuEvent.globalPos() is translated into item, scene, and screen coordinates (pos(), scenePos(), and screenPos()).

## Type Documentation

### QGraphicsSceneContextMenuEvent.Reason

This enum describes the reason why the context event was sent.

Constant | Value | Description
--- | --- | ---
`QGraphicsSceneContextMenuEvent.Mouse` | `0` | The mouse caused the event to be sent. On most platforms, this means the right mouse button was clicked.
`QGraphicsSceneContextMenuEvent.Keyboard` | `1` | The keyboard caused this event to be sent. On Windows and Mac OS X, this means the menu button was pressed.
`QGraphicsSceneContextMenuEvent.Other` | `2` | The event was sent by some other means (i.e. not by the mouse or keyboard).

## Method Documentation

### Qt.KeyboardModifiers QGraphicsSceneContextMenuEvent.modifiers (self)

Returns the keyboard modifiers in use when the context menu was requested.

### QPointF QGraphicsSceneContextMenuEvent.pos (self)

Returns the position of the mouse cursor in item coordinates at the moment the context menu was requested.

See also scenePos() and screenPos().

### Reason QGraphicsSceneContextMenuEvent.reason (self)

Returns the reason for the context menu event.

See also QGraphicsSceneContextMenuEvent.Reason.

### QPointF QGraphicsSceneContextMenuEvent.scenePos (self)

Returns the position of the mouse cursor in scene coordinates at the moment the the context menu was requested.

See also pos() and screenPos().

### QPoint QGraphicsSceneContextMenuEvent.screenPos (self)

Returns the position of the mouse cursor in screen coordinates at the moment the the context menu was requested.

See also pos() and scenePos().